> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 転送の有効状態を設定

> 顧客転送ルールを一時停止。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ja.json PATCH /v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active:
    patch:
      tags:
        - public-accounts
        - public-forwarding
      summary: 転送の有効状態を設定
      description: 顧客転送ルールを一時停止。
      operationId: >-
        set_public_forwarding_active_v1_public_accounts__account_id__forwarding__forwarding_id__active_patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: forwarding_id
          required: true
          schema:
            format: uuid
            title: Forwarding Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ForwardingSetActiveRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForwardingDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ForwardingSetActiveRequest:
      description: 転送を一時停止または再開するリクエスト。
      properties:
        active:
          description: 転送をアクティブにするかどうか
          title: アクティブ
          type: boolean
      required:
        - active
      title: ForwardingSetActiveリクエスト
      type: object
    ForwardingDTO:
      properties:
        active:
          description: 転送がアクティブかどうか
          title: アクティブ
          type: boolean
        created_at:
          description: 転送ルール作成のタイムスタンプ
          title: 作成日時
          type: string
        id:
          description: 転送ルール UUID
          format: uuid
          title: ID
          type: string
        scope_id:
          description: 転送スコープのリソース UUID
          format: uuid
          title: スコープID
          type: string
        scope_type:
          description: 転送ルールのリソーススコープタイプ
          enum:
            - account
            - workspace
            - domain
          title: スコープタイプ
          type: string
        target_email:
          description: 転送先メールアドレス
          title: 宛先メール
          type: string
        updated_at:
          description: 転送ルールの最終更新タイムスタンプ
          title: 更新日時
          type: string
        verification_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          description: 検証有効期限のタイムスタンプ
          title: 検証有効期限
        verification_required:
          description: 受信者の確認が必要かどうか
          title: 検証必須
          type: boolean
        verification_sent_at:
          anyOf:
            - type: string
            - type: 'null'
          description: 確認メールの送信タイムスタンプ
          title: 検証送信日時
        verification_state:
          description: 受信者検証状態
          enum:
            - internal
            - pending
            - verified
            - expired
          title: 検証状態
          type: string
        verification_verified_at:
          anyOf:
            - type: string
            - type: 'null'
          description: 検証完了のタイムスタンプ
          title: 検証完了日時
      required:
        - id
        - target_email
        - scope_type
        - scope_id
        - active
        - verification_state
        - verification_required
        - created_at
        - updated_at
      title: ForwardingDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 詳細
          type: array
      title: HTTPValidationエラー
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 場所
          type: array
        msg:
          title: メッセージ
          type: string
        type:
          title: エラータイプ
          type: string
      required:
        - loc
        - msg
        - type
      title: Validationエラー
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````